package org.springblade.pson.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.Func;
import org.springblade.pson.entity.PsonEventAttr;
import org.springblade.pson.service.IPsonEventAttrService;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * 用户画像-埋点事件属性 前端控制器
 * </p>
 *
 * @author zbc
 * @since 2021-04-16
 */
@RestController
@RequestMapping("Pson/psonEventAttr")
@AllArgsConstructor
@Api(value = "用户画像-埋点事件属性", tags = "用户画像-埋点事件属性管理接口")
public class PsonEventAttrController extends BladeController {


	private final IPsonEventAttrService psonEventAttrService;


	@PostMapping("/save")
	@ApiOperationSupport(order = 1)
	@ApiOperation(value = "新增埋点事件属性", notes = "传入psonEventAttr")
	public R save(@Valid @RequestBody PsonEventAttr psonEventAttr) {
		return R.status(psonEventAttrService.save(psonEventAttr));
	}


	@PostMapping("/remove")
	@ApiOperationSupport(order = 2)
	@ApiOperation(value = "删除产品", notes = "传入ids")
	public R remove(@ApiParam(value = "主键集合  1,2,3", required = true) @RequestParam String ids) {
		return R.status(psonEventAttrService.removeByIds(Func.toLongList(ids)));
	}


	@PostMapping("/update")
	@ApiOperationSupport(order = 3)
	@ApiOperation(value = "修改埋点事件属性", notes = "传入psonEventAttr")
	public R update(@Valid @RequestBody PsonEventAttr psonEventAttr) {
		return R.status(psonEventAttrService.updateById(psonEventAttr));
	}


	@GetMapping("/list")
	@ApiOperationSupport(order = 4)
	@ApiOperation(value = "列表", notes = "传入psonEventAttr")
	public R<IPage<PsonEventAttr>> list(PsonEventAttr psonEventAttr, Query query) {
		IPage<PsonEventAttr> pages = psonEventAttrService.page(Condition.getPage(query), Condition.getQueryWrapper(psonEventAttr));
		return R.data(pages);
	}


	@GetMapping("/detail")
	@ApiOperationSupport(order = 6)
	@ApiOperation(value = "详情", notes = "传入psonEventAttr")
	public R<PsonEventAttr> detail(PsonEventAttr psonEventAttr) {
		PsonEventAttr detail = psonEventAttrService.getOne(Condition.getQueryWrapper(psonEventAttr));
		return R.data(detail);
	}

}

