package org.springblade.pson.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 项目事件关联表
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ProjectEventMap implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键ID")
	@TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@ApiModelProperty("项目id")
    private Long projectId;

	@ApiModelProperty("事件id")
    private Long eventId;
	
	@ApiModelProperty("属性id_JSON")
	private String propIdJson;

	@ApiModelProperty("等级")
	private Integer level;

	@ApiModelProperty("排序")
	private Long sort;

}
