package org.springblade.pson.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户画像-埋点事件属性
 * </p>
 *
 * @author zbc
 * @since 2021-04-16
 */
@Data
@Accessors(chain = true)
public class PsonEventAttr implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键id")
	@TableId(value = "id", type = IdType.AUTO)
    private Integer id;

	@ApiModelProperty("项目id")
    private Integer projectId;

	@ApiModelProperty("事件id  可以不填 共享使用")
    private Integer eventId;

	@ApiModelProperty("属性")
    private String attr;

	@ApiModelProperty("属性名称")
    private String attrName;

	@ApiModelProperty("数据类型 NUMBER、BOOL、STRING、DATETIME、LIST")
    private String attrDatatype;

	@ApiModelProperty("单位/格式")
    private String attrUnit;


}
