package org.springblade.pson.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.pson.entity.EventPropMap;
import org.springblade.pson.vo.EventPropMapVO;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 事件属性关联表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
public interface EventPropMapMapper extends BaseMapper<EventPropMap> {

	//获取属性交集id
	@Select("SELECT t0.prop_id FROM  \n" +
		//"\t(SELECT * FROM event_prop_map WHERE event_id=1  ) AS t1 \n" +
		//"INNER JOIN \n" +
		//"\t(SELECT * FROM event_prop_map WHERE event_id =3) AS t2\n" +
		//"INNER JOIN \n" +
		//"\t(SELECT * FROM event_prop_map WHERE event_id =5) AS t3\n" +
		//"WHERE t1.prop_id = t2.prop_id and t1.prop_id = t3.prop_id"
		" ${arrJoin} ${onJoin}")
	List<EventPropMap> getInnerJoinList(@Param("arrJoin") String arrJoin, @Param("onJoin") String onJoin);

	@Select("select epm.*, pp.`name` as prop_name from event_prop_map epm join prop pp where epm.prop_id = pp.id and epm.event_id = #{value}")
	public List<EventPropMapVO> getList(Long eventId);
}
