package org.springblade.pson.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.pson.entity.Event;
import org.springblade.pson.mapper.EventMapper;
import org.springblade.pson.service.IEventService;
import org.springblade.pson.vo.EventVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 事件表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
@Service
@DS("user_analysis_db")
public class EventServiceImpl extends ServiceImpl<EventMapper, Event> implements IEventService {

	@Autowired
	private EventMapper eventMapper;

	@Override
	public List<Event> getListByPlatform(String platform) {
		return eventMapper.getListByPlatform(platform);
	}

	@Override
	public List<EventVO> getEventList(String projectId) {
		return eventMapper.getEventList(projectId);
	}
}
