package org.springblade.sms.bean.dto;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 群营销任务表实体类
 * 
 * @author William
 * @date 2022年11月11日 上午12:37:23
 */
@Data
@SuppressWarnings(value = "serial")
public class AdsMarketTaskInfo implements Serializable {

	@TableId(type = IdType.ASSIGN_ID)
	@ApiModelProperty(value = "任务ID(更新时必填)", required = false)
	private Long taskId;

	@ApiModelProperty(value = "次序批号", required = true)
	private String sortNo;

	@ApiModelProperty(value = "草稿状态：0-草稿；1-非草稿；", required = false)
	private Integer draftStaus;

	@ApiModelProperty(value = "审核状态：-1：审核未通过（作废）；0-待审核；1-审核通过；", required = false)
	private Integer checkStatus;

	@ApiModelProperty(value = "人群id", required = true)
	private String groupId;

	@ApiModelProperty(value = "人群名称", required = true)
	private String groupName;

	@ApiModelProperty(value = "人群类型：1-标签；2-导入；3-自定义", required = true)
	private Integer groupType;

	@ApiModelProperty(value = "人群种类：1-动态人群；2-静态人群", required = true)
	private Integer groupSort;

	@ApiModelProperty(value = "任务名称", required = true)
	private String missionName;

	@ApiModelProperty(value = "模版ID", required = true)
	private Integer tplInfoId;

	@ApiModelProperty(value = "渠道ID", required = false)
	private String channelId;

	/**
	 * 当attrType=2时，值是后端动态查表来获取的，并且只有导入的为自定义人群的时候才生效
	 */
	@ApiModelProperty(value = "变量属性Json，格式如：[{attrCode:'<模版属性code>', attrValue:'', defValue:<查找不到数据时的默认值>, attrType: <1-输入框；2-动态字段>, field:'动态字段名',desens:<是否脱敏>}]")
	private String attrJson;

	@ApiModelProperty(value = "推送形式[1-立即推送/2-定时推送/3-周期性推送]", required = true)
	private Integer pushPattern;

	// 推送开始时间
	@ApiModelProperty(value = "推送时间[pushPattern=2传递]", required = false)
	private Date pushTime;

	@ApiModelProperty(value = "推送状态(0-待推送/1-正在推送/2-已完成)", required = false)
	private Integer pushStatus;

	@ApiModelProperty(value = "目标人群数量[新增修改无需传递]", required = false)
	private Long targetGroupNumber;

	@ApiModelProperty(value = "推送数量[新增修改无需传递]", required = false)
	private Long pushNumber;

	@ApiModelProperty(value = "带占位符的原始链接", required = false)
	private String originUrl;

	@ApiModelProperty(value = "任务属性类型(1-激活类,2-营销类,3-领取类)", required = true)
	private Integer taskType;

	@ApiModelProperty(value = "短信类型（0-通知，1-文本，2-数字）", required = true)
	private Integer smsType;

	@ApiModelProperty(value = "短信任务失败说明[无需传递]", required = false)
	private String errorInfo;

	// 创建人
	@ApiModelProperty(value = "创建人[新增修改无需传递]", required = false)
	private String creater;

	// 创建时间
	@ApiModelProperty(value = "创建时间[新增修改无需传递]", required = false)
	private Date addTime;

	// 推送开始时间
	@ApiModelProperty(value = "周期开始时间[pushPattern=3时必传]，格式：yyyy-MM-dd HH:mm:ss", required = false)
	private Date cycleStartTime;

	// 推送开始时间
	@ApiModelProperty(value = "周期截止时间[pushPattern=3时必传]，格式：yyyy-MM-dd HH:mm:ss", required = false)
	private Date cycleEndTime;
	
	@ApiModelProperty(value = "周期类型(1-天,2-周,3-月)[pushPattern=3时必传", required = false)
	private Integer cycleType;
	
	@ApiModelProperty(value = "发送时间（24小时进制，分时秒去掉冒号），示例：213020，若是时间是上午，第一位的0可忽略)[pushPattern=3时必传]", required = false)
	private Integer cycleSendTime;
	
	@ApiModelProperty(value = "周几（每周的第一天从周日算，示例：1代表周日，依次类推）[pushPattern=3时必传]", required = false)
	private Integer cycleWeek;
	
	@ApiModelProperty(value = "每月的几号(1~31)[pushPattern=3时必传]", required = false)
	private Integer cycleDayOfMonth;
	
	@ApiModelProperty(value = "手机号是否脱敏（0-不脱敏；1-脱敏；默认值为：0）", required = false)
	private Integer desens;
	
	@ApiModelProperty("终审时间")
	private Date checkTime;

}
