package org.springblade.sms.bean.dto;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 人群营销任务日志
 * 
 * @author William
 * @date 2022年11月11日 上午12:39:02
 */
@Data
@SuppressWarnings("serial")
public class AdsMarketTaskInfoLog implements Serializable {

	@TableId(type = IdType.AUTO)
	@JsonSerialize(using=ToStringSerializer.class)
	private Long logId;

	@ApiModelProperty("任务ID")
	private Long taskId;

	@ApiModelProperty("任务名称")
	private String missionName;

	@ApiModelProperty("人群id")
	private String groupId;

	@ApiModelProperty("人群名称")
	private String groupName;

	@ApiModelProperty("用户邮箱")
	private String email;

	@ApiModelProperty("邮件标题")
	private String emailTitle;

	@ApiModelProperty("消息内容")
	private String messageInfo;

	@ApiModelProperty("手机号")
	private String phone;

	@ApiModelProperty("短信模板参数")
	private String smsJson;

	@ApiModelProperty("短信模板Code")
	private String smsTemplateCode;

	//根据smsBizId可查询短信发送状态
	@ApiModelProperty("短信发送请求返回的业务ID")
	private String smsBizId;

	@ApiModelProperty("渠道ID")
	private String channelId;

	@ApiModelProperty("任务类型(1-短信/2-邮件)")
	private Integer marketType;

	@ApiModelProperty("推送状态(-1-失败/0-成功/1-正在推送)")
	private Integer pushStatus;

	@ApiModelProperty("创建时间")
	private Date addTime;

	@ApiModelProperty("推送时间")
	private Date pushTime;
}
