package org.springblade.sms.bean.dto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName(value = "cube_define_group" ,autoResultMap = true)
@ApiModel(value = "DefineGroup对象", description = "自定义人群")
public class DefineGroup implements Serializable {

	private static final long serialVersionUID = -3464896329053021469L;

	@TableId(type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty("人群分类id")
	private Integer classifyId;

	@ApiModelProperty("人群名称")
	private String groupName;

	@ApiModelProperty("计算频次(0单次/1每日/2每周/3每月)")
	private Integer requestFreq;

	@ApiModelProperty("定义规则")
	private String defineRule;

	@ApiModelProperty("人群描述")
	private String remark;

	@ApiModelProperty("状态(0未开始/1计算中/2已完成/3计算失败)")
	private Integer status;

	@ApiModelProperty("覆盖人数")
	private Long amount;

	@ApiModelProperty("时间分区")
	private String timeZone;

	@ApiModelProperty("创建时间")
	private Date createTime;

	@ApiModelProperty("创建人")
	private String createBy;

	@ApiModelProperty("创建人ID")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long createUserId;

	@ApiModelProperty("修改时间")
	private Date updateTime;

	//对应的jobId
	private Integer jobId;

	//总结果对应的表明
	private String resultTable;

	//数据集对应的字段
	private String cubeColumns;

	//总结果对应的字段
	private String resultColumns;



}
