package org.springblade.sms.bean.params;

import com.github.xiaoymin.knife4j.core.util.StrUtil;

/**
 * 申请联通短信模板时返回的参数
 * 
 * @author William
 * @date 2022年11月13日 下午5:43:20
 */
public class TemplateApplyResponse {

	private String resultcode;
	private String errorinfo;
	private ApplyData data;

	/**
	 * 原始相应信息
	 */
	private String response;

	public TemplateApplyResponse() {
	}

	public TemplateApplyResponse(String response) {
		this.response = response;
	}

	public boolean isSuccess() {
		return StrUtil.isNotBlank(resultcode) && resultcode.equalsIgnoreCase("0");
	}

	public String getResultcode() {
		return resultcode;
	}

	public void setResultcode(String resultcode) {
		this.resultcode = resultcode;
	}

	public String getErrorinfo() {
		return errorinfo;
	}

	public void setErrorinfo(String errorinfo) {
		this.errorinfo = errorinfo;
	}

	public ApplyData getData() {
		return data;
	}

	public void setData(ApplyData data) {
		this.data = data;
	}

	public String getResponse() {
		return response;
	}

	public void setResponse(String response) {
		this.response = response;
	}

	public static class ApplyData {
		/**
		 * 模板ID
		 */
		private String mmsid;

		public ApplyData() {
		}

		/**
		 * 模板ID
		 * 
		 * @return
		 */
		public String getMmsid() {
			return mmsid;
		}

		public void setMmsid(String mmsid) {
			this.mmsid = mmsid;
		}
	}
}
