package org.springblade.sms.component;

import org.springblade.sms.enums.SmsType;

/**
 * 短信配置信息基类
 * 
 * @author William
 * @date 2022年11月11日 上午10:12:34
 */
public class SmsConfig {

	// 老 - 正式
//	final String PWD = "boyuankl";
//	final String SMSID = "20210423";

	// 新 - 正式
//	final String PWD = "k410#bt@";
//	final String SMSID = "2022072021805";

	// 新 - 测试
//	final static String PWD = "erwmKh#8";
//	final static String SMSID = "2022072010302";

	private String pwd;
	private String smsid;

	public static SmsConfig of(SmsType type) {
		return new SmsConfig(type);
	}

	public static SmsConfig of(int typeValue) {
		SmsType smsType = SmsType.reslove(typeValue);
		return of(smsType);
	}

	private SmsConfig(SmsType type) {
		if (type != SmsType.digital) {
			this.pwd = "boyuankl";
			this.smsid = "20210423";
		} else {
			this.pwd = "k410#bt@";
			this.smsid = "2022072021805";
		}
	}

	public String getPwd() {
		return pwd;
	}

	public void setPwd(String pwd) {
		this.pwd = pwd;
	}

	public String getSmsid() {
		return smsid;
	}

	public void setSmsid(String smsid) {
		this.smsid = smsid;
	}
}
