package org.springblade.sms.enums;

/**
 * 营销任务推送状态
 * 
 * @author William
 * @date 2022年11月11日 上午12:43:12
 */
public enum SmsPushStatus {

	waiting(0, "待推送"),

	doing(1, "正在推送"),

	finish(2, "推送已完成"),

	fail(3,"推送失败");//比如周期性人群任务没跑完

	private Integer value;
	private String message;

	private SmsPushStatus(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public Integer getValue() {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Integer value) {
		this.value = value;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	public static SmsPushStatus reslove(Integer value) {
		SmsPushStatus[] values = SmsPushStatus.values();
		for (SmsPushStatus val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
