package org.springblade.sms.enums;

/**
 * 短信类型
 * 
 * @author William
 * @date 2022年11月11日 上午12:46:51
 */
public enum SmsType {

	notice(0, "通知"),
	
	text(1, "文本"), 
	
	digital(2, "数字");

	private Integer value;
	private String message;

	private SmsType(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public Integer getValue() {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Integer value) {
		this.value = value;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	public static SmsType reslove(Integer value) {
		SmsType[] values = SmsType.values();
		for (SmsType val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
