package org.springblade.useranalysis.activespid.service;

import java.util.List;

import org.springblade.useranalysis.activespid.common.DateTimeKit;
import org.springblade.useranalysis.activespid.common.DateTimeType;
import org.springblade.useranalysis.activespid.entity.ActiveClient;
import org.springblade.useranalysis.activespid.mapper.ActiveClientMapper;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 * @author william
 * @date 2022年9月7日 下午3:14:54
 */
@Service
@DS("queryslave")
public class ActiveClientService extends ServiceImpl<ActiveClientMapper, ActiveClient> {

	/**
	 * 获取三天前新订购，并且连续三天没有消耗流量的用户手机号
	 * 
	 * @return
	 */
	public List<String> getNoFlowUserIdList() {
		String spid = "1051";// 芒果TV
		Integer month = DateTimeKit.getDateValue(DateTimeType.MONTH, DateTimeKit.getPreDay(3));
		Integer firstDay = DateTimeKit.getDateValue(DateTimeType.DAY, DateTimeKit.getPreDay(3));
		Integer secondData = DateTimeKit.getDateValue(DateTimeType.DAY, DateTimeKit.getPreDay(2));
		Integer thirdDay = DateTimeKit.getDateValue(DateTimeType.DAY, DateTimeKit.getPreDay(1));
		return baseMapper.getNoFlowUserIdList(spid, month, firstDay, secondData, thirdDay);
	}
}
