package org.springblade.useranalysis.entity;

import javax.validation.constraints.NotBlank;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;

/**
 * 标签表(AdsUserprofileTag)表实体类
 *
 * @author limeng
 * @since 2021-07-07 08:57:30
 */
@SuppressWarnings("serial")
@Data
public class AdsUserprofileTag extends Model<AdsUserprofileTag> {
	
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;
	// @TableField("tag_id")

	@NotBlank
	private String tagId;

	private String tagName;
	@TableField("level_1_id")
	private String level1Id;
	@TableField("level_1_name")

	private String level1Name;
	@TableField("level_2_id")

	private String level2Id;
	@TableField("level_2_name")

	private String level2Name;
	// 英文名
	private String englishName;
	// 是否互斥标签
	private String exclusion;
	// 标签类型
	private String tagType;
	// 开发方式
	private String developType;
	// 更新频率
	private String updateType;
	// 是否上线
	private String isOnline;
	// 用户类型 userid/cookieid
	private String userType;
	// 标签描述
	private String tagDesc;
	// 对应表名
	private String tagTable;
	// 对应列的属性
	@TableField("tag_c_type")
	private String tagCType;
	// 0:不展示历史 1:展示曲线（柱状）图 2：罗列展示值
	private Integer showHis;
	// 查询时 是否已下拉列表展示 0：无可选项 1:有可选项
	private Integer hasDict;
	// 查询时 查值的形式 string number datetime bool
	private String searchType;
	//标签值排序号
	private Integer tagOrder;

	@TableField(exist = false)
	private String level2TagDesc;
}
