package org.springblade.useranalysis.enums;

public enum TagCodeEnum {

    CODE1("A112_01_001" , "男性"),
    CODE2("A112_01_002" , "女性"),
    CODE3("A112_03_001" , "重要价值用户"),
    CODE4("A112_03_002" , "重要发展用户"),
    CODE5("A112_03_003" , "重要保持用户"),
    CODE6("A112_03_004" , "重要挽留用户"),
    CODE7("A112_03_005" , "一般价值用户"),
    CODE8("A112_03_006" , "一般发展用户"),
    CODE9("A112_03_007" , "一般保持用户"),
    CODE10("A112_03_008" , "一般挽留用户"),
    CODE11("A212_04_001" , "高重复咨询用户"),
    CODE12("A212_04_002" , "高退货用户"),
    CODE13("A212_04_003" , "高投诉用户"),
    CODE14("A112_05_001" , "购卡激活会员"),
    CODE15("A112_05_002" , "积分试用会员"),
    CODE16("A112_05_003" , "赠送会员"),
    CODE17("A112_05_004" , "补偿会员"),
    CODE18("A112_05_005" , "历史会员"),
    CODE19("A112_05_006" , "非会员"),
    CODE20("A112_06_001" , "未注册"),
    CODE21("A112_06_002" , "已注册"),
    CODE22("A112_07_001" , "购买过"),
    CODE23("A112_07_002" , "未购买过"),
    CODE24("A112_08_001" , "高活跃"),
    CODE25("A112_08_002" , "中活跃"),
    CODE26("A112_08_003" , "低活跃"),
    CODE27("A112_08_004" , "流失"),
    CODE28("A112_11_001" , "新客户"),
    CODE29("B112_03_001" , "上午"),
    CODE30("B112_03_002" , "中午"),
    CODE31("B112_03_003" , "下午"),
    CODE32("B112_03_004" , "晚上"),
    CODE33("B112_03_005" , "凌晨"),
    CODE34("A112_11_001" , "新客户"),
    CODE35("A112_11_002" , "老客户");

    private String code;
    private String name;

    public static String getName(String code){
        for (TagCodeEnum c : TagCodeEnum.values()){
            if (c.getCode().equals(code)){
                return c.name;
            }
        }
        return null;
    }

    private TagCodeEnum(String code, String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
