package org.springblade.useranalysis.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.useranalysis.entity.AdsUserprofileTag;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface UserProfileMapper extends BaseMapper<AdsUserprofileTag> {

	@Select("SELECT UPPER(english_name) as  english_name,level_2_name,tag_c_type,show_his  FROM `ads_userprofile_tag` where tag_id=#{tagId}")
	List<JSONObject> getColumName(@Param("tagId") String tagId);
	
	@Select("SELECT distinct UPPER(english_name) as  english_name,level_2_name,tag_c_type,show_his  FROM `ads_userprofile_tag` where level_2_id=#{level2Id}")
	List<JSONObject> getColumNameExport(@Param("level2Id") String level2Id);

	@Select("SELECT distinct UPPER(english_name) as  english_name,level_2_name,tag_c_type  FROM `ads_userprofile_tag` where level_2_name=#{value}")
	List<JSONObject> getColumNameByLeve2Name(String level2Name);
	
	/**
	 * 首页查询用户标签视图
	 */

	List<JSONObject> userTagView();

	/**
	 * 用户标签下拉菜单,根据用户筛选的1 2 3层级关系返回相应的内容供前端筛选
	 */
	List<JSONObject> dropDownList(@Param("level1") String level1, @Param("level2") String level2,
			@Param("tagname") String tagname);

	/**
	 * 用户画像 —— 人群多维分析-下拉菜单 筛选分析维度
	 */
//	@Select("select t.level_1_name,t.level_2_name,t.tag_type,tag_name,tag_id,english_name\n" + "        from (\n"
//			+ "        select level_1_name,level_2_name,'1' as tag_type,tag_name,tag_id,english_name\n"
//			+ "        from ads_userprofile_tag\n" + "        where tag_type='1' and is_online=1\n"
//			+ "        union all\n"
//			+ "        select level_1_name,tag_name as level_2_name,'2' as tag_type,tag_name,tag_id,english_name\n"
//			+ "        from ads_userprofile_tag\n" + "        where tag_type='2' and is_online=1\n" + "        ) t\n"
//			+ "        group by t.level_1_name,t.level_2_name,t.tag_type,tag_name,tag_id,english_name\n"
//			+ "        order by t.level_1_name,t.level_2_name,t.tag_type,english_name")
	@Select("select t.level_1_name, t.level_2_name, t.tag_type, t.tag_name, t.tag_id, t.english_name, lower(t.search_type) as search_type, t.tag_order, t.tag_desc as tag_desc,o.tag_desc as level2_tag_desc,\n"+ 
			"ifnull(o.tag_order, 0) as level2_tag_order\n" + 
			"from ads_userprofile_tag t left join ads_userprofile_tag_order o on t.english_name = o.tag_name\n" + 
			"where t.is_online ='1'")
	List<JSONObject> usergroupAnalysisList();

	/**
	 * 用户画像 —— 人群多维分析- 根据筛选分析维度查找对应的标签
	 */
	@Select(" select distinct tag_id AS tagid from ads_userprofile_tag  where level_2_id = #{levelid}")
	List<String> usergroupAnalysisTags(String levelid);

	/**
	 * 用户画像 —— 人群多维分析 —— 填写标签权重值
	 */
	@Select(" select tag_name,tag_id  from ads_userprofile_tag   where level_2_name = #{level_2_name}  group by tag_name,tag_id")
	List<JSONObject> usergroupAnalysisTheme(String level_2_name);

	/**
	 * 用户画像 —— 人群多维分析 —— 填写标签权重值
	 */
	@Select("select tag_name,tag_id        from ads_userprofile_tag where tag_name = #{level_2_name}  group by tag_name,tag_id")
	List<JSONObject> usergroupAnalysisTag(String level_2_name);

	/**
	 * 用户画像 —— 人群多维分析-选择人群
	 */
	@Select("select group_id,group_name ,default_show from ads_userprofile_usergroup    group by group_id,group_name ,default_show    order by group_id desc")
	List<JSONObject> distinctGroupname();

	/**
	 * 用户画像 —— 人群多维分析-根据人群id查询人群规则
	 */
	@Select(" select rules\n" + "          from ads_userprofile_usergroup\n" + "         where group_id = #{group_id}")
	String usergroupRule(String groupId);

	/**
	 * 用户画像 —— 人群多维分析-根据分析维度查询包含的标签
	 */
	@Select(" select distinct tag_id\n" + "          from ads_userprofile_tag\n"
			+ "         where level_2_name = #{dimension}")
	List<String> analysisTags(String dimension);
	
	@Select("select distinct level_1_id, level_1_name, level_2_id, level_2_name, IFNULL(b.tag_order,0) as tag_order\n" + 
			"from ads_userprofile_tag a left join ads_userprofile_tag_order b on a.english_name = b.tag_name where is_online = '1'")
	public List<AdsUserprofileTag> getLevel1_2List();
	
	@Select("select distinct a.level_2_name, a.english_name, a.tag_c_type, b.tag_order \n" + 
			"from ads_userprofile_tag a left join ads_userprofile_tag_order b on a.english_name = b.tag_name \n" + 
			"where a.level_1_id = 'B' and a.is_online = '1'\n" + 
			"order by b.tag_order")
	public List<JSONObject> getProductTagList();

}
