/**
 *
 */
package org.springblade.useranalysis.mapper.clickhouse;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

import java.util.List;

/**
 * @author wookvn
 *
 */
public interface UserGroupUserIdMapper {

	@Select("select count(1) from ads.BIZ_USER_GROUP_USERID where user_group_id = #{value}")
	public long countByGroupId(String groupId);

	@Update({"insert into ads.BIZ_USER_GROUP_USERID",
		" select DISTINCT '${groupId}' as user_group_id, USERID_V as user_id",
		" from ads.Z_USER_TAG_FLAT_ALL ${ew.customSqlSegment}"})
	public void insertData(@Param("groupId") String groupId, @Param(Constants.WRAPPER) QueryWrapper<?> queryWrapper);

	@Update({"insert into ads.BIZ_USER_GROUP_USERID",
		" select DISTINCT '${groupId}' as user_group_id, ua.USERID_V as user_id",
		" from Z_USER_TAG_FLAT_ALL ua",
		" global inner join ads.user_excel_import_phone ep on ua.USERID_V = ep.phone",
		" ${ew.customSqlSegment}"})
	public void insertDataWithImport(@Param("groupId") String groupId, @Param(Constants.WRAPPER) QueryWrapper<?> queryWrapper);

	@Update("alter table ads.BIZ_USER_GROUP_USERID drop PARTITION ${value}")
	public void deleteByGroupId(String groupId);

	@Select("select uniqCombined(USERID_V) from ads.Z_USER_TAG_FLAT_ALL ${ew.customSqlSegment}")
	public long testDataCount(@Param(Constants.WRAPPER) QueryWrapper<?> queryWrapper);

	@Select("select user_id from ads.BIZ_USER_GROUP_USERID  where user_group_id = #{groupId}  and  user_id > #{userId} order by user_id asc limit #{offset}" )
	public List<String> selectByGroupId(@Param("groupId") String groupId, @Param("userId") String userId, @Param("offset") Integer offset);

}
