package org.springblade.useranalysis.service;


import java.util.List;

import org.springblade.useranalysis.entity.UserGroupEntity;
import org.springblade.useranalysis.entity.UserGroupRequest;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 用户人群计算模型
 */


public interface UserGroupCalculateService extends IService<UserGroupEntity> {


    // 解析人群规则
	public Integer parseRule(String ruleJson, String isSave) ;
	
	/**
	 * 根据规则获取人群查询条件
	 * 导出人群使用
	 * 
	 * @param ruleJson
	 * @return
	 */
//	public QueryWrapper<ZUserTagEntity> zUserTagParseRuleExport(JSONObject ruleJson);

    /**
     * 根据规则获取人群查询条件
     * @param ruleJson
     * @return
     */
//    public QueryWrapper<ZUserTagEntity> zUserTagParseRule(JSONObject ruleJson) ;

    /**
     * 获取ZUserTagEntity 的查询
     * @param relationship
     * @param tagCode
     * @param jsonArr
     * @param queryWrapper
     * @return
     */
//	public QueryWrapper<ZUserTagEntity>  getQueryWrapper(String relationship,String tagCode, String tagName, JSONArray jsonArr ,QueryWrapper<ZUserTagEntity> queryWrapper);



    /**
     * 主函数
     */
    public JSONObject usergroupCalculate(UserGroupRequest userGroupRequest);
    
    public JSONObject usergroupCalculateBaseImport(UserGroupRequest userGroupRequest) ;
    
    /**
     * 根据规则查询用户ID列表
     * @param ruleJson
     * @param offset
     * @param pageSize
     * 
     * @return
     */
    public List<String> queryUserIdList(UserGroupEntity userGroupEntity,int offset,int pageSize);
    
    /**
     * 查询导入的人群
     * @param importId
     * @param offset
     * @param pageSize
     * @return
     */
    public List<String> queryUserIdListFromImport(String importId,int offset,int pageSize);

}
