package org.springblade.useranalysis.service;

import java.util.List;
import java.util.Map;

import org.springblade.useranalysis.dto.TagHistory;
import org.springblade.useranalysis.entity.UserProfileTagView;
import org.springblade.useranalysis.entity.clickhouse.ZUserTagEntity;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 用户全量标签查询
 */

public interface UserTagsService extends IService<ZUserTagEntity> {
	
	/**
	 * 全息档案信息查询
	 * @param userId
	 * @return
	 */
	public List<UserProfileTagView> userTagSearch(String userId);
	
	public List<TagHistory> userTagFlowHisSearch(String userId, String level2Id, String start_date, String end_date);
	
	public List<JSONObject> userTagHisSearch(String userId, String level2Id, String start_date, String end_date);
	
	/**
     *  标签数量校验
     */
    public JSONObject checkTagNum(String tagId, String startDate, String endDate);

    /**
     *  同二级大类下各标签所占比例
     */
    public JSONObject checkTagRatio(String tagId, String dataDate);
    
    public List<Map<String, Object>> exportTagList(String fields,QueryWrapper<ZUserTagEntity> TagWrapper,String importId,String sqlLimit);
    
    public List<Map<String, Object>> exportTagListMonths(String fields,String monthStart,
			String monthEnd,QueryWrapper<ZUserTagEntity> childWrapper,String sqlLimit);
    
    public List<JSONObject> userTagHisDataListByUserId(String userId, String level2Id, String startMonth, String endMonth);
}
