/**
 * 
 */
package org.springblade.useranalysis.service.normal;

import java.util.List;
import java.util.Map;

import org.springblade.useranalysis.mapper.clickhouse.DynamicQueryMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

/**
 * @author wookvn
 *
 */
@Service
@DS("clickhouse")
public class DynamicQueryService {

	@Autowired
	private DynamicQueryMapper dynamicQueryMapper;

	/**
	 * 
	 * @param dicTable
	 * @param joinField
	 * @param targetField
	 * @param limit
	 * @return
	 */
	public List<JSONObject> queryList(String dicTable, String joinField, String targetField, String orderField, Integer limit) {
		return dynamicQueryMapper.queryList(dicTable, joinField, targetField, orderField, limit);
	}
	
	/**
	 * 
	 * @param dicTable
	 * @param joinField
	 * @param targetField
	 * @param value
	 * @return
	 */
	public List<Map<String, Object>> queryList(String dicTable, String joinField, String targetField, QueryWrapper<?> queryWrapper) {
		return dynamicQueryMapper.queryListByIn(dicTable, joinField, targetField, queryWrapper);
	}
	
}
